import type { HTMLAttributes } from "react";
import type { PaperProps } from "@metabase/embedding-sdk-react/dist/frontend/src/metabase/ui";
type SharingPaneElementProps = {
    disabled?: boolean;
};
export declare const SharingPaneButtonContent: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
} & PaperProps & {
    disabled?: boolean | undefined;
}, {}, {}>;
export declare const SharingPaneButtonTitle: import("@emotion/styled").StyledComponent<import("@metabase/embedding-sdk-react/dist/frontend/src/metabase/ui").TitleProps & import("react").RefAttributes<HTMLHeadingElement> & {
    theme?: import("@emotion/react").Theme | undefined;
} & SharingPaneElementProps, {}, {}>;
export declare const SharingPaneActionButton: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
} & import("@mantine/core").ButtonProps & import("@metabase/embedding-sdk-react/dist/frontend/src/metabase/ui").ExtraButtonProps & HTMLAttributes<HTMLButtonElement> & SharingPaneElementProps, {}, {}>;
export {};
